
#include <stdlib.h>
#include <stdio.h>
#include <string.h>

int *liner_interpolation(int start, int end, int count);

int main()
{
	int i, j, *ret, params[3][3];

/* ret[0] = liner_interpolation(0, 10, 10); ̈ */
	params[0][0] = 0;
	params[0][1] = 10;
	params[0][2] = 10;
/* ret[0] = liner_interpolation(100, 0, 10); ̈ */
	params[1][0] = 100;
	params[1][1] = 0;
	params[1][2] = 10;
/* ret[0] = liner_interpolation(-10, 10, 10); ̈ */
	params[2][0] = -10;
	params[2][1] = 10;
	params[2][2] = 10;

	for(i = 0; i < 3; i++) {
		ret = liner_interpolation(params[i][0], params[i][1], params[i][2]);
		for(j = 0; j < 10; j++)
			printf("%d, ", ret[j]);
		free(ret);
		printf("\n");
	}

	return 0;
}

int *liner_interpolation(int start, int end, int count) {
	int i, *ret;

	ret = (int *)malloc(sizeof(int) * count);

	for(i = 0; i < count; i++)
		ret[i] = start + (double)(end - start) * i / (count - 1);

	return ret;
}

