
#include <stdio.h>
#include <string.h>

#define AR_MAX 10

typedef struct {
	int start, end, count, array[AR_MAX];
} li_params;

li_params *liner_interpolation(li_params *lip);

int main()
{
	int i;
	li_params lip_data, *ret;

	lip_data.start = 0;
	lip_data.end = 10;
	lip_data.count = 10;
	ret = liner_interpolation(&lip_data);
	for(i = 0; i < 10; i++)
		printf("%d, ", ret->array[i]);
	printf("\n");


	lip_data.start = 100;
	lip_data.end = 0;
	lip_data.count = 10;
	ret = liner_interpolation(&lip_data);
	for(i = 0; i < 10; i++)
		printf("%d, ", ret->array[i]);
	printf("\n");

	lip_data.start = -10;
	lip_data.end = 10;
	lip_data.count = 10;
	ret = liner_interpolation(&lip_data);
	for(i = 0; i < 10; i++)
		printf("%d, ", ret->array[i]);
	printf("\n");

	return 0;
}

li_params *liner_interpolation(li_params *lip) {
	int i;

	for(i = 0; i < lip->count; i++)
		lip->array[i] = lip->start + (double)(lip->end - lip->start) * i
			/ (lip->count - 1);

	return lip;
}

